Subject: specifying scopid's for link-local IPv6 addrs

From: Rick Jones <[email-masked]>
Date: Mon, 23 Jul 2007 12:01:19 -0700

Folks -

People running netperf have reported that they have trouble with IPv6 under 
Linux.  Specifically, wereas the use of link-local IPv6 addresses "just works" 
in netperf under a number of "other OSes" they do not under Linux.  I'm 
ass-u-me-ing 2.6 here, but not sure exactly which ones - I've seen it on a 
2.6.18-based RHEL5.

Some poking about and conversation has suggested that one has to set a 
sin6_scope_id in the sockaddr_in6.  This needs to be an index of one of the 
interfaces in the system, which I presume means walking some additional structures.

Is this a requirement which might be expected to remain in the future, or is it 
something which might just go away?  That will have an effect on netperf future 
development.

thanks,

rick jones